#!/usr/bin/env bash

action() {

    # law + luigi env variables
    local base="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
    export LAW_HOME="$base/.law"
    export LAW_CONFIG_FILE="$base/law.cfg"
    export LUIGI_CONFIG_PATH="$base/luigi.cfg"
    export ANALYSIS_PATH="$base"
    export ANALYSIS_DATA_PATH="$ANALYSIS_PATH/data"

    # luigi + law
    export PATH="$base/law/bin:$base/luigi/bin:$PATH"
    export PYTHONPATH="$base/law:$base/luigi:$base/six:$base/enum34-1.1.10:$base/python-dateutil-2.8.2:$base:$PYTHONPATH"

    # fastNLO tools + plotting
    export PATH="/storage/9/rabbertz/git/fastNLO/tools:/storage/9/rabbertz/git/fastNLO/tools/plotting:$PATH"

    # From now on: Plotting only with python3 and matplotlib3 (requiring numpy & scipy)
    # --> Does not work on ETP portals with Centos7!
    # --> Use your more modern Desktop PC e.g. with Ubuntu and properly set PATH and PYTHONPATH
    # Add local user paths for python3 usage, e.g.
    # export PATH="$HOME/.local/bin:$PATH"
    # export PYTHONPATH="$HOME/.local/lib/python3.5/site-packages:$PYTHONPATH"

    # gfal2, not required for plotting
    # SLC6
    source /cvmfs/grid.cern.ch/emi3ui-latest/etc/profile.d/setup-ui-example.sh
    # C7
    #    source /cvmfs/grid.cern.ch/centos7-ui-v03/etc/profile.d/setup-c7-ui-example.sh

    # NNLOJET + APPLfast
    # Uses grid install; does not use fastNLO extension compiled with python2
    source /cvmfs/etp.kit.edu/fnlo/src/fnlosrc_source_NNLOJET-5419.sh
    # Must use local install with fastNLO extension compiled with python3
    #    source $HOME/local.lx25/src/fnlosrc_source.sh

    # NNLOJET combine script
    export PATH="/cvmfs/etp.kit.edu/fnlo/src/NNLOJET_rev5419/driver/bin:$PATH"
    #    export PATH="$HOME/local.lx25/src/NNLOJET_rev5419/driver/bin:$PATH"

    source "$( law completion )"
}
action
